// IMediaService.aidl
package com.lfst.qiyu.music.aidl;
import android.graphics.Bitmap;
import com.lfst.qiyu.music.aidl.MusicInfo;
// Declare any non-default types here with import statements

interface IMediaService {
    /**
     * Demonstrates some basic types that you can use as parameters
     * and return values in AIDL.
     */
     boolean play(int pos);
         boolean playById(String id);
         boolean rePlay();
     	boolean pause();
     	boolean prev();
     	boolean next();
     	int duration();
         int position();
         boolean seekTo(int progress);
         void refreshMusicList(in List<MusicInfo> musicList);
         void getMusicList(out List<MusicInfo> musicList);

         int getPlayState();
         int getPlayMode();
         void setPlayMode(int mode);
         void sendPlayStateBrocast();
         void exit();
         String getCurMusicId();
         void updateNotification(in Bitmap bitmap, String title, String name);
         void cancelNotification();
         MusicInfo getCurMusic();
    void basicTypes(int anInt, long aLong, boolean aBoolean, float aFloat,
            double aDouble, String aString);
}
